Subject: RE: New Schema I-D Requested to be Posted to IETF Repository

From: Silvano Gai <[email-masked]>
Date: Sat, 22 May 1999 13:03:07 -0700

I fully agree with the message of Mark,

"we need to agree upon a way to store policy expressions of a repository, but before we can agree on a way to store these expressions, we must agree on what they look like to begin with."

This means having at least:
1) a WG proposal for a "QoS schema";
2) an evaluation of the "if condition then action", in the light of the "QoS Schema"
3) the definition of "condition" and "action"
4) an evaluation model

I no longer buy the idea that the "QoS schema" can be implemented "by definition", subclassing the "Core Schema". Subclassing a "data model" only means adding attributes. IMHO, this is not a powerful mechanism.

Sorry to be so negative, but I don't see real progress

Cheers

-- Silvano

At 12:25 PM 5/19/99 -0400, Stevens, Mark wrote:
>> First, we considered defining a language, then we considered defining an
>> architectural model for an implementation, and of late, we have focused on
>> a generalized schema for storing expressions of policy. Each time we
>> avoided the step of defining the problem itself. We have shyly backed away
>> from defining specific policies. We have only vaguely described them as a
>> list of "if-then" expressions.  We need to scope the problem by coming up
>> with a list of exemplary policies. We need to define the things that
>> appear after the "if" and "then." With a better understanding of the
>> specific conditions and actions, we can begin to develop a schema for
>> storage and develop an understanding of the constraints imposed by various
>> architectural approaches to implementation. 
>> 
>> Indeed a more detailed problem and goals statement may be in order. I
>> believe that we are not moving toward our first tangible goal as stated in
>> the charter and it may be due to the wording of the numbered objectives
>> listed in the charter. They seem to outline an approach to solving the
>> policy problem, but they do not clearly define the problem space itself.
>> As a result, they have effectively focused the working group's effort on
>> the periphery of an unbounded problem. To implement a uniform policy in a
>> network, we need to agree upon a way to store policy expressions of a
>> repository, but before we can agree on a way to store these expressions,
>> we must agree on what they look like to begin with.
>> 
>> I do not see how the introduction of an architectural model will move us
>> toward a solution when we have not defined specific examples of the kinds
>> of policies that we want to be able to implement in a network. Nor, do I
>> see how the core policy schema or an architectural model can be tested,
>> even by way of mental exercise, without clear and agreed upon definitions
>> of specific policies.
>> 
>> Mark Stevens
>> Lucent Technologies, 300 Baker Avenue, Concord, MA 01742
>> Voice/fax: 978 287 9102
>> 
>> -----Original Message-----
>> From:	Andrew Smith [SMTP:[email-masked]]
>> Sent:	Tuesday, May 18, 1999 4:32 PM
>> To:	'Stevens, Mark'; [email-masked]
>> Subject:	RE: New Schema I-D Requested to be Posted to IETF Repository
>> 
>> 
>> Mark,
>> 
>> I'm not clear on what you are arguing for here: you seem to contradict
>> yourself by saying on the one hand that the WG should "examine our
>> progress
>> toward the working group's first tangible and truly useful deliverable - a
>> schema for the administration of QoS policy" and on the other "We need to
>> sit down and develop real-life examples of policy [...] before we get
>> to[o]
>> wrapped up in detailed architectural models, schemas and languages.". Are
>> you suggesting that we need to come up with a more detailed problem/goals
>> statement at this point, before progressing on models and schemas?
>> 
>> It's still unclear to me how we can document solutions for any of this
>> problem space without a clear architectural model of how we think it fits
>> together. In my mind at least, schema definition is diving down far deeper
>> than architectural models.
>> 
>> Andrew
>> Software Architect
>> 
>> ****************************************************************
>> Andrew Smith                              tel: +1 (408) 579-2821
>> Extreme Networks                          fax: +1 (408) 579-3000
>> 3585 Monroe St.                   http://www.extremenetworks.com
>> Santa Clara CA 95051-1450        em:  [email-masked]
>> ****************************************************************
>> 
>> 

Silvano Gai               
Cisco Systems                  Empowering the Internet Generation
170 West Tasman Drive                         Tel. (408) 527 2690
San Jose, CA, 95134-1706                      Fax. (408) 527 2690
                                                   [email-masked]

---

From: "John Strassner" <[email-masked]>
Date: Mon, 24 May 1999 07:35:49 -0700

Silvano,

I agree that lately we have focused a lot, perhaps too much, on LDAP
schemata. However, please realize that there is an underlying
information model present. The information model is much more than a
data model. So, I take your note as a request to focus more on the
underlying information model.

I also agree that we can NOT build a (good) QoS schema just by
"subclassing" the core schema. In fact, Keith presented at Minneapolis
an approach that said (or at least strongly implied) that a QoS schema
should be built by considering the intersection of device capabilities
(e.g., the PIB) and higher-level requirements (e.g., the core schema)

---

From: Silvano Gai <[email-masked]>
Date: Tue, 25 May 1999 13:33:25 -0700

>Silvano,

....

>
>However, I must admit to not fully understanding your points listed in
>bullets 2-4. Could you please elaborate on these? My confusion lies in
>that these bullets seem to address implementation, which is going to
>be vendor-specific, and what we are trying to build is a standard that
>is vendor-independent.
>

John,

see inline,

Cheers

-- Silvano

>>
>> "we need to agree upon a way to store policy expressions of a
>repository, but before we can agree on a way to store these
>expressions, we must agree on what they look like to begin with."
>>

I would like to understand if the "if condition then action" rule is the right one to implement a QoS schema (may be it need to be extended, or modified, or new types of rules added).

>> 3) the definition of "condition" and "action"

without a formal model for rule evaluation, two policy systems may read the same set of rules from the Directory, but implement different actions. I don't think we want this to happen.

Silvano Gai